> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser-use.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Skill

> Delete a skill owned by the project.



## OpenAPI

````yaml /cloud/openapi/v2.json delete /skills/{skill_id}
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /skills/{skill_id}:
    delete:
      tags:
        - Skills
      summary: Delete Skill
      description: Delete a skill owned by the project.
      operationId: delete_skill_skills__skill_id__delete
      parameters:
        - name: skill_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Skill Id
      responses:
        '204':
          description: Successful Response
        '400':
          description: Cannot delete skill while it is still generating
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CannotDeleteSkillWhileGeneratingError'
        '404':
          description: Skill not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CannotDeleteSkillWhileGeneratingError:
      properties:
        detail:
          type: string
          title: Detail
          default: Cannot delete skill while it is still generating
      type: object
      title: CannotDeleteSkillWhileGeneratingError
      description: >-
        Error response when a skill cannot be deleted while it is still
        generating
    SkillNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          default: Skill not found
      type: object
      title: SkillNotFoundError
      description: Error response when a skill is not found
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````